Package org.multiverse.api.exceptions

## Class RetryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.RetryException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `RetryInterruptedException`, `RetryNotAllowedException`, `RetryNotPossibleException`, `RetryTimeoutException`, `TooManyRetriesException`

      public abstract class RetryException
      extends TxnExecutionException

  A `TxnExecutionException` thrown when retrying a transaction for another attempt fails. E.g. because an explicit retry is not used, or when there are too many retry attempts.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryException()` | Creates a new RetryException.
    `RetryException​(String message)` | Creates a new RetryException with the provided message.
    `RetryException​(String message, Throwable cause)` | Creates a new RetryException with the provided message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryException

          public RetryException()

      Creates a new RetryException.

    - #### RetryException

          public RetryException​(String message)

      Creates a new RetryException with the provided message.
      Parameters:
        `message` - the message of the RetryException.

    - #### RetryException

          public RetryException​(String message,
                                Throwable cause)

      Creates a new RetryException with the provided message and cause.
      Parameters:
        `message` - the message of the RetryException.
        `cause` - the cause of the RetryException.